## apt 0.7.6ubuntu14

=== debian/changelog ===
apt (0.7.6ubuntu14) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix resource leak (LP: #148806) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Oct 2007 20:57:44 +0200

apt (0.7.6ubuntu13) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix crash in WriteApportReport (LP: #144537)
  * apt-pkg/acquire-item.cc
    - fix disappearing local Packages.gz file (LP: #131166)
  * methods/https.cc:
    - fix off-by-one error I-M-S handling
    - cleanup after I-M-S hit

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2007 01:48:26 +0200

apt (0.7.6ubuntu12) gutsy; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-mark:
    - Fix chmoding after have renamed the extended-states file
      (thanks to Laurent Bigonville, LP: #140019)
  * apt-pkg/deb/debmetaindex.cc: comparison with string literal results
      in unspecified behaviour;
  * Reset curl options and timestamp between downloaded files. Thanks to
    Ryan Murray <rmurray@debian.org> for the patch

  [Paul Sladen]
  * Have 'cron.daily/apt' send D-Bus doesn't exist error messages
    to the bit bucket.  Thanks to 'dasdda'.  (LP: #115397)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 03 Oct 2007 02:17:45 +0200

apt (0.7.6ubuntu11) gutsy; urgency=low

  * apt-pkg/contrib/mmap.cc:
    - don't fail if msync() returns > 0 (LP: #144001)

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 21:39:29 +0100

apt (0.7.6ubuntu10) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix parse error when dpkg sends unexpected data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Sep 2007 17:25:09 +0100

apt (0.7.6ubuntu9) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix progress reporting precent calculation (LP: #137798)
  * make apt build with g++ 4.3
  * fix missing SetExecClose() call when the status-fd is used
    (LP: #136767)
  * debian/apt.cron.daily:
    - move unattended-upgrade before apt-get autoclean
  * fix "purge" commandline argument, closes LP: #125733
    (thanks to Julien Danjou for the patch)
  * cmdline/apt-get.cc:
    - do not change the auto-installed information if a package
      is reinstalled (LP: #139448)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Sep 2007 20:55:00 +0200

apt (0.7.6ubuntu8) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.{cc,h}:
    - fix bug in dpkg log writing when a signal is caught during
      select() (LP: #134858)
    - write end marker in the log as well

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Sep 2007 15:03:46 +0200

apt (0.7.6ubuntu7) gutsy; urgency=low

  * reupload to fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Aug 2007 19:44:20 +0200

apt (0.7.6ubuntu6) gutsy; urgency=low

  * dpkg-triggers: Deal properly with new package states.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 15 Aug 2007 20:44:37 +0100

apt (0.7.6ubuntu5) UNRELEASED; urgency=low

  * apt-pkg/acquire-item.cc:
    - fix file removal on local repo i-m-s hit (LP: #131166)
  * tests/local-repo:
    - added regression test for this bug

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Aug 2007 12:34:07 +0200

apt (0.7.6ubuntu4) gutsy; urgency=low

  * cmdline/apt-get.cc:
    - remove YnPrompt when a XS-Vcs- tag is found, improve the
      notice (LP: #129575)
  * methods/copy.cc:
    - take hashes here too
  * apt-pkg/acquire-worker.cc:
    - only pass on computed hash if we recived one from the method

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Aug 2007 19:30:29 +0200

apt (0.7.6ubuntu3) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix packagename extraction when writting apport reports
  * apt-pkg/pkgcachegen.cc:
    - increase default mmap size (LP: #125640)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Aug 2007 09:52:00 +0200

apt (0.7.6ubuntu2) gutsy; urgency=low

  * doc/examples/sources.list:
    - change example source to gutsy
  * apt-pkg/deb/dpkgpm.cc:
    - do not break if no /dev/pts is available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Aug 2007 15:17:57 +0200

apt (0.7.6ubuntu1) gutsy; urgency=low

  [ Michael Vogt ]
  * apt-inst/contrib/extracttar.cc:
    - fix fd leak for zero size files (thanks to Bill Broadley for
      reporting this bug)
  * apt-pkg/acquire-item.cc:
    - remove zero size files on I-M-S hit
  * methods/https.cc:
    - only send LastModified if we actually have a file
    - send range request with if-range 
    - delete failed downloads
    (thanks to Thom May for his help here)
    - delete zero size I-M-S hits
  * apt-pkg/deb/dpkgpm.{cc,h}:
    - merged dpkg-log branch, this lets you specify a 
      Dir::Log::Terminal file to log dpkg output to
    (ABI break)
    - when writting apport reports, attach the dpkg
      terminal log too
  * merged apt--sha256 branch to fully support the new
    sha256 checksums in the Packages and Release files
    (ABI break)
  * apt-pkg/pkgcachegen.cc:
    - increase default mmap size
  * tests/local-repo:
    - added local repository testcase
  * make apt build with g++ 4.3
  * fix missing SetExecClose() call when the status-fd is used
  * debian/apt.cron.daily:
    - move unattended-upgrade before apt-get autoclean
  * fix "purge" commandline argument, closes: #133421
    (thanks to Julien Danjou for the patch)
  * cmdline/apt-get.cc:
    - do not change the auto-installed information if a package
      is reinstalled
  * cmdline/apt-mark:
    - Fix chmoding after have renamed the extended-states file (LP: #140019)
      (thanks to Laurent Bigonville)

  [ Ian Jackson ]
  * dpkg-triggers: Deal properly with new package states.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Aug 2007 11:55:54 +0200

apt (0.7.6) unstable; urgency=low

  * Applied patch from Aurelien Jarno <aurel32@debian.org> to fix wrong
    directory downloading on non-linux architectures (closes: #435597)

 -- Otavio Salvador <otavio@debian.org>  Wed, 01 Aug 2007 19:49:51 -0300

apt (0.7.5) unstable; urgency=low

  [ Otavio Salvador ]

