## apt 0.7.9ubuntu17

=== debian/changelog ===
apt (0.7.9ubuntu17) hardy; urgency=low

  * apt-pkg/acquire-item.cc:
    - fix signaure removal on transient network failures 
      (thanks to Scott James Remnant)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Apr 2008 15:32:49 +0200

apt (0.7.9ubuntu16) hardy; urgency=low

  * cmdline/apt-key:
    - only check against master-keys in net-update to not break
      custom CDs (thanks to Colin Watson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2008 14:17:14 +0200

apt (0.7.9ubuntu15) hardy; urgency=low

  * cmdline/apt-get.cc:
    - do two passes when installing tasks, first ignoring dependencies,
      then resolving them and run the problemResolver at the end
      so that it can correct any missing dependencies. This should
      fix livecd building for kubuntu (thanks to Jonathan Riddell 
      for reporting the problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Mar 2008 23:25:45 +0100

apt (0.7.9ubuntu14) hardy; urgency=low

  * cmdline/apt-get.cc:
    - fix incorrect help output for -f (LP: #57487)
    - run the problemResolver after a task was installed
      so that it can correct any missing dependencies
  * typo fixes (LP: #107960)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Mar 2008 21:46:07 +0100

apt (0.7.9ubuntu13) hardy; urgency=low

  [ Lionel Porcheron ]
  * debian/apt.cron.daily:
    - only call gconftool if gcontool is installed (LP: #194281)

  [ Michael Vogt ]
  * doc/apt_preferences.5.xml:
    - fix typo (LP: #150900)
  * doc/example/sources.list:
    - updated for hardy (LP: #195879)
  * debian/apt.cron.daily:
    - sleep random amount of time (default within 0-30min) before
      starting the upate to hit the mirrors less hard

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Mar 2008 15:35:09 +0100

apt (0.7.9ubuntu12) hardy; urgency=low

  * debian/apt.cron.daily:
    - use admin user proxy settings
  * cmdline/apt-get.cc:
    - fix task installation (thanks to Colin Watson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Feb 2008 15:07:44 +0100

apt (0.7.9ubuntu11) hardy; urgency=low

  * apt-pkg/algorithms.cc: 
    - add APT::Update::Post-Invoke-Success script slot
      (LP: #188127)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Jan 2008 12:06:12 +0100

apt (0.7.9ubuntu10) hardy; urgency=low

  * cmdline/apt-key:
    - add "net-update" command that fetches the 
      ubuntu-archive-keyring.gpg and add keys from it that are 
      signed by the ubuntu-master-keyring.gpg 
      (apt-archive-key-signatures spec)
  * debian/apt.cron.daily:
    - add apt-key net-update to the nightly cron job

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Feb 2008 15:50:28 +0100

apt (0.7.9ubuntu9) hardy; urgency=low

  * fix FTBFS due to incorrect intltool build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Feb 2008 16:04:37 +0100

apt (0.7.9ubuntu8) hardy; urgency=low

  * share/apt-auth-failure.note:
    - show update-notifier note if the nightly update fails with a
      authentication failure (apt-authentication-reliability spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Feb 2008 14:04:56 +0100

apt (0.7.9ubuntu7) hardy; urgency=low

  * methods/connect.cc:
    - remember hosts with Resolve failures or connect Timeouts
      see https://wiki.ubuntu.com/NetworklessInstallationFixes
  * cmdlines/apt-key:
    - fix bug in the new apt-key update code that imports only
      keys signed with the master key (thanks to cjwatson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Feb 2008 11:38:35 +0100

apt (0.7.9ubuntu6) hardy; urgency=low

  * cmdline/apt-key:
    - add support for a master-keyring that contains signing keys
      that can be used to sign the archive signing keys. This should
      make key-rollover easier.
  * apt-pkg/deb/dpkgpm.cc:
    - merged patch from Kees Cook to fix anoying upper-case display
      on amd64 in sbuild
  * apt-pkg/algorithms.cc: 
    - add APT::Update::Post-Invoke-Success script slot
    - Make the breaks handling use the kill list. This means, that a
      Breaks: Pkg (<< version) may put Pkg onto the remove list.
  * apt-pkg/deb/dpkgpm.cc:
    - add APT::Apport::MaxReports to limit the maximum number
      of reports generated in a single run (default to 3)
  * apt-pkg/deb/debmetaindex.cc:
    - add missing "Release" file uri when apt-get update --print-uris
      is run

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Feb 2008 14:28:02 +0100

apt (0.7.9ubuntu5) hardy; urgency=low

  * Merged apt-authentication-reliabilty branch. This means
    that apt will refuse to update and use the old lists if
    the authentication of a repository that used to be 
    authenticated fails. See
    https://wiki.ubuntu.com/AptAuthenticationReliability
    for more details.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jan 2008 10:36:10 +0100

apt (0.7.9ubuntu4) hardy; urgency=low

  * apt-pkg/algorithms.cc:
    - Since APT::Get::List-Cleanup and APT::List-Cleanup both default to
      true, the effect of the compatibility code was to require both of them
      to be set to false in order to disable list cleanup; this broke the
      installer. Instead, disable list cleanup if either of them is set to
      false.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jan 2008 22:34:37 +0000

apt (0.7.9ubuntu3) hardy; urgency=low

  * merged the apt--DoListUpdate branch, this provides a common interface
    for "apt-get update" like operations for the frontends and also provides
    hooks to run stuff in APT::Update::{Pre,Post}-Invoke

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Jan 2008 19:02:11 +0100

apt (0.7.9ubuntu2) hardy; urgency=low

  [ Otavio Salvador ]
  * Applied patch from Aurelien Jarno <aurel32@debian.org> to fix building
    with newest dpkg-shlibdeps changing the packaging building order and a
    patch from Robert Millan <rmh@aybabtu.com> to fix parallel building,
    closes: #452862.

