=== debian/changelog ===
apt (0.7.9ubuntu17.2) hardy-security; urgency=low

  * SECURITY UPDATE: honor expired and revoked key signatures
    - adjust methods/gpgv.cc to mark a signature as valid only if GOODSIG
      is set by gpgv
    - CVE-XXXX-XXXX
    - Patch from Michael Vogt
  * SECURITY UPDATE: ensure automatic updates are not permanently disabled
    in certain situations when the timezone's DST starts at midnight
    - adjust debian/apt.cron.daily to check the return code of date
    - CVE-XXXX-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Apr 2009 09:33:56 -0500

apt (0.7.9ubuntu17.1) hardy-proposed; urgency=low

  * apt-pkg/indexcopy.cc:
    - support having CDs with no Packages file (just a Packages.gz)
      by not forcing a verification on non-existing files
     (LP: #255545)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2008 14:54:15 +0100
