=== debian/rules ===
--- 
+++ 
@@ -185,7 +185,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt-transport-https apt libapt-pkg-dev apt-utils
+binary-arch: apt libapt-pkg-dev apt-utils apt-transport-https
 apt: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
@@ -204,6 +204,8 @@
 	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
 
 	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/
+	# https has its own package
+	rm debian/$@/usr/lib/apt/methods/https
 
 	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
 	cp -r $(BLD)/locale debian/$@/usr/share/
@@ -212,6 +214,7 @@
 	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt
 
 	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
+	sed 's/^_//' share/apt-auth-failure.note > debian/$@/usr/share/$@/apt-auth-failure.note
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
 #	head -n 500 ChangeLog > debian/ChangeLog
@@ -243,9 +246,3 @@
 libapt-pkg-dev: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
-	dh_clean -p$@ -k
-	dh_installdirs -p$@
-#
-# libapt-pkg-dev install
-#
-	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
