## apt 0.7.9ubuntu17.3~cesg2

=== debian/changelog ===
apt (0.7.9ubuntu17.3~cesg2) netbook-common; urgency=low

  * apt-inst/contrib/arfile.cc: Backport fix from upstream for Debian 500988,
    which fixes spurious errors when working with a .deb that was generated
    by gnu 'ar'. Part of a fix for LP: #436089, LP: #431857

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 24 Sep 2009 15:59:12 -0400

apt (0.7.9ubuntu17.3~cesg1) netbook-common; urgency=low

   [Cody A.W. Somerville]
   * Prepared upload for OEM Solutions Group.

  [Michael Vogt]
  * make Max-Pipeline-Depth configurable and smaller
    to hopefully avoid a hang in http fetching
  * fix problem with server dying when the remote closes the 
    connection too early
  * better error output when a message exists unexpected    

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Thu, 30 Jul 2009 14:03:49 -0300
