## apt 0.7.14ubuntu6

=== debian/changelog ===
apt (0.7.14ubuntu6) intrepid; urgency=low

  * debian/apt.conf.autoremove:
    - remove "linux-image" (and friends) from the auto-remove
      blacklist. we have the kernel fallback infrastructure now
      in intrepid (thanks to BenC)
  * apt-pkg/indexcopy.cc:
    - support having CDs with no Packages file (just a Packages.gz)
      by not forcing a verification on non-existing files
     (LP: #255545)
  * apt-pkg/deb/dpkgpm.cc:
    - improve the filtering for duplicated apport reports (thanks
      to seb128 for pointing that problem out)
    - do not report disk full errors from dpkg via apport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Aug 2008 16:28:05 +0200

apt (0.7.14ubuntu5) intrepid; urgency=low

  * fix various -Wall warnings
  * make "apt-get build-dep" installed packages marked automatic
    by default. This can be changed by setting the value of
    APT::Get::Build-Dep-Automatic to false (thanks to Aaron 
    Haviland, closes: #44874, LP: #248268)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Aug 2008 14:00:51 +0200

apt (0.7.14ubuntu4) intrepid; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix uninitialized variable that caused no apport reports
      to be written sometimes (thanks to Matt Zimmerman)
  * merge patch that enforces stricter https server certificate
    checking (thanks to Arnaud Ebalard, closes: #485960)
  * allow per-mirror specific https settings
    (thanks to Arnaud Ebalard, closes: #485965)
  * add doc/examples/apt-https-method-example.cof
    (thanks to Arnaud Ebalard, closes: #485964)
  * add DPkg::NoTriggers option so that applications that call
    apt/aptitude (like the installer) defer trigger processing
    (thanks to Joey Hess) 
  * document --install-recommends and --no-install-recommends
    (thanks to Dereck Wonnacott, LP: #126180)
  
  [ Dereck Wonnacott ]
  * apt-ftparchive might write corrupt Release files (LP: #46439)
  * Apply --important option to apt-cache depends (LP: #16947) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 10:10:49 +0200

apt (0.7.14ubuntu3) intrepid; urgency=low

  [ Otavio Salvador ]
  * Apply patch to avoid truncating of arbitrary files. Thanks to Bryan
    Donlan <bdonlan@fushizen.net> for the patch. Closes: #482476
  * Avoid using dbus if dbus-daemon isn't running. Closes: #438803

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - improve apt progress reporting, display trigger actions
  * apt-pkg/depcache.cc:
    - when checking for new important deps, skip critical ones
      (LP: #236360)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2008 17:27:07 +0200

apt (0.7.14ubuntu2) intrepid; urgency=low

  * debian/control:
    - fix FTBFS by adding missing intltool dependency 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 May 2008 13:50:22 +0200

apt (0.7.14ubuntu1) intrepid; urgency=low

  [ Michael Vogt ]
  * enable installation of recommends by default
  * debian/apt.conf.ubuntu:
    - remove APT::Install-Recommends-Sections (no longer needed)
  * merged from debian/sid, remaining changes:
    - authentication-reliable branch (to be merged into debian soon)
    - mirror:// uri branch (breaks ABI in debian, not merged yet)
    - apport failure reporting
    - show warning on apt-get source with 'Vcs-' header
    - proxy detection from gconf in apt.cron
  
  [ Christian Perrier ]
  * Mark a message from dselect backend as translatable
    Thanks to Frédéric Bothamy for the patch
    Closes: #322470

  [ Program translations ]
  * Simplified Chinese updated. Closes: #473360
  * Catalan fixes. Closes: #387141
  * Typo fix in Greek translation. Closes: #479122
  * French updated.
  * Thai updated. Closes: #479313
  * Italian updated. Closes: #479326
  * Polish updated. Closes: #479342
  * Bulgarian updated. Closes: #479379
  * Finnish updated. Closes: #479403
  * Korean updated. Closes: #479426
  * Basque updated. Closes: #479452
  * Vietnamese updated. Closes: #479748
  * Russian updated. Closes: #479777
  * Galician updated. Closes: #479792
  * Portuguese updated. Closes: #479847
  * Swedish updated. Closes: #479871
  * Dutch updated. Closes: #480125
  * Kurdish added. Closes: #480150
  * Brazilian Portuguese updated. Closes: #480561
  * Hungarian updated. Closes: #480662

  [ Otavio Salvador ]
  * Apply patch to avoid truncating of arbitrary files. Thanks to Bryan
    Donlan <bdonlan@fushizen.net> for the patch. Closes: #482476
  * Avoid using dbus if dbus-daemon isn't running. Closes: #438803
  
  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - apply patch based on the ideas of Francesco Poli for better 
      behavior when the cache can not be locked (closes: #459344)

 -- Michael Vogt <mvo@debian.org>  Wed, 28 May 2008 15:19:12 +0200

apt (0.7.13) unstable; urgency=low

  [ Otavio Salvador ]
  * Add missing build-depends back from build-depends-indep field.
    Closes: #478231
  * Make cron script quiet if cache is locked. Thanks to Ted Percival
    <ted@midg3t.net> for the patch. Closes: #459344
  * Add timeout support for https. Thanks to Andrew Martens
    <andrew.martens@strangeloopnetworks.com> for the patch.

  [ Goswin von Brederlow ]
  * Add support for --no-download on apt-get update. Closes: #478517
  
  [ Program translations ]
    - Vietnamese updated. Closes: #479008
    
 -- Otavio Salvador <otavio@debian.org>  Fri, 02 May 2008 14:46:00 -0300

apt (0.7.12) unstable; urgency=low

  [ Michael Vogt ]
  * cmdline/apt-key:
    - add support for a master-keyring that contains signing keys
      that can be used to sign the archive signing keys. This should
      make key-rollover easier.
  * apt-pkg/deb/dpkgpm.cc:
    - merged patch from Kees Cook to fix anoying upper-case display
      on amd64 in sbuild
  * apt-pkg/algorithms.cc:
    - add APT::Update::Post-Invoke-Success script slot
    - Make the breaks handling use the kill list. This means, that a
      Breaks: Pkg (<< version) may put Pkg onto the remove list.

